IDN2(1)

NAME
idn2 - Libidn2 Internationalized Domain Names conversion tool

SYNOPSIS
idn2 [OPTION]... [STRINGS]...

DESCRIPTION
The idn2 tool converts DNS domains from UTF-8 to ASCII compatible encoding (ACE) form, as used in the DNS protocol. The encoding format is the Internationalized Domain Name (IDNA2008/TR46) format.

Internationalized Domain Name (IDNA2008) convert STRINGS, or standard input.

Command line interface to the Libidn2 implementation of IDNA2008.

All strings are expected to be encoded in the locale charset.

To process a string that starts with `-', for example `-foo', use `--' to signal the end of parameters, as in `idn2 --quiet -- -foo'.

Mandatory arguments to long options are mandatory for short options too.

-h, --help
    Print help and exit

-V, --version
    Print version and exit

-d, --decode
    Decode (punycode) domain name

-l, --lookup
    Lookup domain name (default)

-r, --register
    Register label

-T, --tr46t
    Enable TR46 transitional processing

-N, --tr46nt
    Enable TR46 non-transitional processing

--no-tr46
    Disable TR46 processing

--usestd3asciirules
    Enable STD3 ASCII rules

--no-alabelroundtrip
    Disable A-label roundtrip for lookups

--debug
    Print debugging information

--quiet
    Silent operation

AUTHOR
Written by Simon Josefsson, Tim Ruehsen.

REPORTING BUGS
Report bugs to: help-libidn@gnu.org
Libidn2 home page: <https://www.gnu.org/software/libidn/#libidn2>
General help using GNU software: <https://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2011-2021 Simon Josefsson, Tim Ruehsen. License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
idn(1)

The full documentation for idn2 is maintained as a Texinfo manual. If the info and idn2 programs are properly installed at your site, the command

    info idn2

should give you access to the complete manual.